Results 1 to 6 of 6

Thread: Can't install updates

  1. #1
    Join Date
    Apr 2012
    Beans
    9

    Unhappy Can't install updates

    Since yesterday I can't install any updates anymore. I just get an error like this:
    "can't sync mmap - msync (5: input -/ output error)"
    I get this message no matter if I use Synaptic or apt-get in terminal.
    Do anyone out there have any clue what that error could mean?

  2. #2
    Join Date
    Dec 2012
    Beans
    51

    Re: Can't install updates

    Apparently this is a known bug.
    https://bugs.launchpad.net/ubuntu/+s...pt/+bug/796849

    mmap is a C function that allows and maps files to memory, so it is kind of worrisome that this might be hardware related.

    Try to run:
    Code:
    sudo apt-get clean
    Then:
    Code:
    sudo apt-get update
    Also does apt inform you of any broken dependencies on an update?

    Regards,
    - D4rk0wl

  3. #3
    Join Date
    Apr 2012
    Beans
    9

    Re: Can't install updates

    I just tried out your advice.
    sudo apt-get clean
    did the first trick, the error about mmap is gone. Unfortunally the error with sync (5: Input- /output error) is still there.

    Another strange thing appeared just 5 Minutes ago. As I started my machine he booted into some kind of terminal called "setramfs" or something like that. After one reboot I grub showed me a boot list (the first time ever since I use Lubuntu). Choosing "normal start" crashed my machine. Another reboot got me back my usual Lubuntu.

    I hope this was the last time I run into such strange things...

    Edit: No broken dependencies on my machine (the only nice thing)

  4. #4
    Join Date
    Apr 2012
    Beans
    9

    Re: Can't install updates

    The trouble get more every day, now my file-system is mounted read-only
    I tried secure mode from grub, started fsck, fixed all found errors. Than I was able to install all updates for VLC-Mediaplayer.
    From time to time my filesystem is mounted read-only and if I get an writable HDD the same errors for updates occure than before. Even "apt-get clean" doesn't work as described before.
    This are very wiered things, so I would be glad if someone would have a clue what I can do.

  5. #5
    Join Date
    Dec 2010
    Location
    The Wilds of Oregon
    Beans
    58
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: Can't install updates

    Quote Originally Posted by DrKosy View Post
    The trouble get more every day, now my file-system is mounted read-only
    I tried secure mode from grub, started fsck, fixed all found errors. Than I was able to install all updates for VLC-Mediaplayer.
    From time to time my filesystem is mounted read-only and if I get an writable HDD the same errors for updates occure than before. Even "apt-get clean" doesn't work as described before.
    This are very wiered things, so I would be glad if someone would have a clue what I can do.
    Open up that box and check your connections. Just make sure everything is plugged in alright, and make sure the jumper on your HDD is in the correct spot.

    I had some boot and disk oddities a while back, and it amounted to a somehow - got - loose HDD connection. Don't ask me how, that just fixed it. Might be something you want to look at.

  6. #6
    Join Date
    Apr 2012
    Beans
    9

    Re: Can't install updates

    I do not know how but it just happend that my machine installed all updates as expected.
    Nevertheless I'll check all my cables and things.
    I'll report about my monitoring.

    Edit: After two days of smooth work I hope my problems are finally gone. What a great feeling
    Last edited by DrKosy; January 15th, 2013 at 06:50 PM.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •